[GH-ISSUE #19] Busybox config and Linux config do not match submodule revisions #18

Closed
opened 2026-03-03 18:48:12 +03:00 by kerem · 2 comments
Owner

Originally created by @Neo-Desktop on GitHub (Dec 4, 2024).
Original GitHub issue: https://github.com/oerg866/win98-quickinstall/issues/19

Hi there, I'm trying to build this with a Docker script:

FROM alpine:latest AS dependencies
WORKDIR /quickinstall
RUN apk add autoconf automake bison build-base bash cdrkit coreutils flex gettext gettext-dev gzip git libuuid libtool linux-headers \
    nasm ncurses openssh pkgconf pythonispython3 python3 sed sudo syslinux upx util-linux-dev wine xz zip

FROM dependencies AS init
COPY . .
ENV GIT_SSH_COMMAND="ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
RUN bash init.sh

FROM init AS build
RUN bash build.sh

FROM scratch AS output
COPY --from=build __BIN__ /

which works for the most part (aside from having to patch .gitmodules [not posted] so that it doesn't clone using ssh with github) and a small patch to init.sh:

diff --git a/init.sh b/init.sh
index 8b71a25..d27ae1a 100755
--- a/init.sh
+++ b/init.sh
@@ -5,7 +5,7 @@ set -e
 #set -x
 #trap read debug

-git submodule update --init --recursive --depth 1 || true
+git submodule update --init --recursive --depth 1 --remote || true

 echo "--------------------------------"
 echo "Ignore the above message about not being able to find a certain commit hash,"

but the main issue I'm having is that when it comes to building busybox and the kernel, the config's need to be updated "upstream" (i.e. here) such that it doesn't prompt the user for additional input during building.

 > [build 1/1] RUN bash build.sh:
0.467 /quickinstall/busybox /quickinstall
0.644   GEN     include/applets.h
<< snip >>
2.264 scripts/kconfig/conf -s Config.in
2.268 #
2.268 # using defaults found in .config
2.268 #
2.268 *
2.268 * Restart config...
2.268 *
2.268 *
2.268 * Settings
2.268 *
2.268 Enable compatibility for full-blown desktop systems (8kb) (DESKTOP) [N/y/?] n
2.268 Provide compatible behavior for rare corner cases (bigger code) (EXTRA_COMPAT) [N/y/?] n
2.268 Building for Fedora distribution (FEDORA_COMPAT) [N/y/?] n
2.268 Enable obsolete features removed before SUSv3 (INCLUDE_SUSv2) [N/y/?] n
2.268 Support --long-options (LONG_OPTS) [N/y/?] n
2.268 Show applet usage messages (SHOW_USAGE) [N/y/?] n
2.268 Support files > 2 GB (LFS) [Y/n/?] y
2.268   Support 64bit wide time types (TIME64) [Y/n/?] (NEW) aborted!
2.268
2.268 Console input/output is redirected. Run 'make oldconfig' to update configuration.
2.268
2.268 make[2]: *** [/quickinstall/busybox/scripts/kconfig/Makefile:40: silentoldconfig] Error 1
2.268 make[1]: *** [/quickinstall/busybox/Makefile:444: silentoldconfig] Error 2
2.269 make: *** [Makefile:522: include/autoconf.h] Error 2
2.415 make: *** No rule to make target '/quickinstall/busybox/include/autoconf.h', needed by 'busybox.links'.  Stop.
2.415 make: *** Waiting for unfinished jobs....

Can we please get updated configs in: buildscripts/busybox_config, buildscripts/linux_config.flp, and buildscripts/linux_config.cd

Thanks!

Originally created by @Neo-Desktop on GitHub (Dec 4, 2024). Original GitHub issue: https://github.com/oerg866/win98-quickinstall/issues/19 Hi there, I'm trying to build this with a Docker script: ```dockerfile FROM alpine:latest AS dependencies WORKDIR /quickinstall RUN apk add autoconf automake bison build-base bash cdrkit coreutils flex gettext gettext-dev gzip git libuuid libtool linux-headers \ nasm ncurses openssh pkgconf pythonispython3 python3 sed sudo syslinux upx util-linux-dev wine xz zip FROM dependencies AS init COPY . . ENV GIT_SSH_COMMAND="ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no" RUN bash init.sh FROM init AS build RUN bash build.sh FROM scratch AS output COPY --from=build __BIN__ / ``` which works for the most part (aside from having to patch `.gitmodules` [not posted] so that it doesn't clone using ssh with github) and a small patch to `init.sh`: ```diff diff --git a/init.sh b/init.sh index 8b71a25..d27ae1a 100755 --- a/init.sh +++ b/init.sh @@ -5,7 +5,7 @@ set -e #set -x #trap read debug -git submodule update --init --recursive --depth 1 || true +git submodule update --init --recursive --depth 1 --remote || true echo "--------------------------------" echo "Ignore the above message about not being able to find a certain commit hash," ``` but the main issue I'm having is that when it comes to building busybox and the kernel, the config's need to be updated "upstream" (i.e. here) such that it doesn't prompt the user for additional input during building. ``` > [build 1/1] RUN bash build.sh: 0.467 /quickinstall/busybox /quickinstall 0.644 GEN include/applets.h << snip >> 2.264 scripts/kconfig/conf -s Config.in 2.268 # 2.268 # using defaults found in .config 2.268 # 2.268 * 2.268 * Restart config... 2.268 * 2.268 * 2.268 * Settings 2.268 * 2.268 Enable compatibility for full-blown desktop systems (8kb) (DESKTOP) [N/y/?] n 2.268 Provide compatible behavior for rare corner cases (bigger code) (EXTRA_COMPAT) [N/y/?] n 2.268 Building for Fedora distribution (FEDORA_COMPAT) [N/y/?] n 2.268 Enable obsolete features removed before SUSv3 (INCLUDE_SUSv2) [N/y/?] n 2.268 Support --long-options (LONG_OPTS) [N/y/?] n 2.268 Show applet usage messages (SHOW_USAGE) [N/y/?] n 2.268 Support files > 2 GB (LFS) [Y/n/?] y 2.268 Support 64bit wide time types (TIME64) [Y/n/?] (NEW) aborted! 2.268 2.268 Console input/output is redirected. Run 'make oldconfig' to update configuration. 2.268 2.268 make[2]: *** [/quickinstall/busybox/scripts/kconfig/Makefile:40: silentoldconfig] Error 1 2.268 make[1]: *** [/quickinstall/busybox/Makefile:444: silentoldconfig] Error 2 2.269 make: *** [Makefile:522: include/autoconf.h] Error 2 2.415 make: *** No rule to make target '/quickinstall/busybox/include/autoconf.h', needed by 'busybox.links'. Stop. 2.415 make: *** Waiting for unfinished jobs.... ``` Can we please get updated configs in: [`buildscripts/busybox_config`](../blob/master/buildscripts/busybox_config), [`buildscripts/linux_config.flp`](../blob/master/buildscripts/linux_config.flp), and [`buildscripts/linux_config.cd`](../blob/master/buildscripts/linux_config.cd) Thanks!
kerem closed this issue 2026-03-03 18:48:13 +03:00
Author
Owner

@oerg866 commented on GitHub (Dec 14, 2024):

Cannot reproduce with busybox at least, the config file in my silent build output is the same as buildscripts/busybox_config....?

<!-- gh-comment-id:2543369548 --> @oerg866 commented on GitHub (Dec 14, 2024): Cannot reproduce with busybox at least, the config file in my silent build output is the same as buildscripts/busybox_config....?
Author
Owner

@oerg866 commented on GitHub (May 31, 2025):

Haven't heard back so closing this for now

<!-- gh-comment-id:2924152932 --> @oerg866 commented on GitHub (May 31, 2025): Haven't heard back so closing this for now
Sign in to join this conversation.
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/win98-quickinstall#18
No description provided.